salesforce.cdp.hyperdb.v1

## Interface QueryInfoOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  QueryInfo, QueryInfo.Builder

    public interface QueryInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryInfo.ContentCase` `getContentCase()`
`boolean` `getOptional()` `bool optional = 2;`
`QueryStatus` `getQueryStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryStatusOrBuilder` `getQueryStatusOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`boolean` `hasQueryStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasQueryStatus

    boolean hasQueryStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

Returns:
  Whether the queryStatus field is set.

#### getQueryStatus

    QueryStatus getQueryStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

Returns:
  The queryStatus.

#### getQueryStatusOrBuilder

    QueryStatusOrBuilder getQueryStatusOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### getOptional

    boolean getOptional()

`bool optional = 2;`

Returns:
  The optional.

#### getContentCase

    QueryInfo.ContentCase getContentCase()